//0:11 2011-12-05 针对会员中心-资料修改页。

		//手机激活:发验证码
		function UserMobile_Activation()
		{
			if(confirm("发送手机验证码时将会自动保存您的新的手机号码.\r\n发送完激活码后，手机号文字域将锁定，以保证您输入的手机号与当前进行手机验证的手机号为同一用户。\r\n如果您不打算修改已存的手机号码，请选择取消。")==false)
			{
				return false;
			}
			
			//var _PhoneNo = '<%=DataInfo.UserMobile%>';
			var _PhoneNoInputValue = jQuery("#UserMobile").val();
			//if(_PhoneNo==_PhoneNoInputValue)
			{
				//var queryString = {"PhoneNo":'<%=DataInfo.UserMobile%>'};
				var queryString = {"PhoneNo":_PhoneNoInputValue};
				AjaxSubmit(
							"GET","/index.aspx?s=/UserInfo/honeCheckCodeSend/&IsAdd=6&t="+ new Date().getTime(),queryString,
							function(msg){
							 	//if(msg=="发送成功") 
								//if(msg=="1")
								if(msg.length>0)
								{
									alert("激活码已发送到您的手机上,请查收.\r\n");
									jQuery("#UserMobile").attr("readonly","readonly");//禁止手机号修改
								}
								else alert("手机短信发送失败,可能的原因:"+ msg );
							},
							function(msg){if(msg!=null && msg.responseText!=null)alert(msg.responseText)}
						);
			}
			//else{alert("请先保存手机号，然后再进行手机号验证。");}
		}
		
		function UserMobile_ActivationCheck()
		{
			//手机激活
			var _PhoneNoInputValue = jQuery("#UserMobile").val();
			var queryString ={"PhoneNo":_PhoneNoInputValue,"Code":jQuery("#UserMobile_Code").val()};
			AjaxSubmit(
						"GET","/index.aspx?s=/UserInfo/PhoneCheckCodeCheck/&IsAdd=5&t="+ new Date().getTime(),queryString,
						function(msg){
						 	if(msg=="1") {alert("恭喜,激活成功.");}
							else alert("手机短信激活失败,返回值:"+ msg +",请提交客服中心.");							
						},
						function(msg){if(msg!=null && msg.responseText!=null)alert(msg.responseText)}
					);
		}	